Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ebuild] Glipper 1.0
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
RaX
Apprentice
Apprentice


Joined: 16 Aug 2007
Posts: 166

PostPosted: Tue Aug 21, 2007 1:16 pm    Post subject: [ebuild] Glipper 1.0 Reply with quote

Pour ceux qui comme moi utilise GNOME (light dans mon cas), il existe un petit outil bien sympathique pour gérer le "presse-papier" (oui oui le clipboard ^^) la version 1.0 est sorti il y a quelques semaines mais elle n'est pas encore disponible dans portage. j'ai donc fait une petite ebuild. À ajouter dans son overlay favoris.

Code:

# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# Author : RaX| <raxxx.fr@gmail.com>
# $Header: $

inherit gnome2

DESCRIPTION="Glipper is a clipboardmanager for the GNOME Panel."
HOMEPAGE="http://glipper.sourceforge.net"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 x86"
IUSE=""

DEPEND=">=x11-libs/gtk+-2.6
                >=dev-lang/python-2.4
                >=dev-python/pygtk-2.6
                >=dev-python/pygobject-2.6
                >=dev-python/gnome-python-2.10"

RDEPEND="${DEPEND}
                 >=gnome-base/gnome-panel-2.16"


Bonne journée.

PS: je ne sais pas pourquoi je ne peut pas poster sur le bugzilla, je peut uniquement confirmer un bug :s.
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1879
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Tue Aug 21, 2007 1:38 pm    Post subject: Reply with quote

Es-tu sûr de tes dépendances ? La documentation mentionne >=gnome-python-extras-2.10 et >=gnome-desktop-2.10 (que tu n'as pas) et aucunement >=gnome-base/gnome-panel-2.16 (que tu as).
Back to top
View user's profile Send private message
RaX
Apprentice
Apprentice


Joined: 16 Aug 2007
Posts: 166

PostPosted: Tue Aug 21, 2007 9:31 pm    Post subject: Reply with quote

Salut, j'ai testé avec et sans ">=gnome-python-extras-2.10" aucun changement. Pour gnome-panel il s'agit d'un élément indispensable pour l'utilisation car glipper n'est plus une application stand-alone mais un applets. J'ajoute gnome-desktop qui était installé sur ma machine et que j'ai zappé pour cette ebuild.
Back to top
View user's profile Send private message
kwenspc
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 4912

PostPosted: Wed Aug 22, 2007 6:12 am    Post subject: Reply with quote

RaX wrote:
Salut, j'ai testé avec et sans ">=gnome-python-extras-2.10" aucun changement.

Parce qu'il est surement déjà installé. Chez quelqu'un où ce paquet n'est pas installé ton ebuild va planter je pense.
_________________
membre officieux du SAV Ati GEntoo
Back to top
View user's profile Send private message
RaX
Apprentice
Apprentice


Joined: 16 Aug 2007
Posts: 166

PostPosted: Wed Aug 22, 2007 10:15 am    Post subject: Reply with quote

Nan nan je n'est pas gnome-python-extras, en fait pour faire les dépendances je me suis basé sur le "configure.ac" de Glipper et pas sur la documentation, mais enfin je v me renseigner plus sérieusement sur l'utilité de cette dépendance, en tout cas un grand merci a vous pour vos remarques :).
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum